
Spontz Demo Engine
------------------

0A76d - 200408XX - pc version
	kolian - removed one parameter check in object section
	kolian - improved checks loading scripts and shaders
	kolian - fix: "Finished section not detected"
	kolian - multiple splines in particleObject
	kolian - rollback: kernel rtt texture should be clamped

0A76c - 200407XX - pc version
	kolian - improved reporting of script errors
	kolian - added more parameter checks
	kolian - removed triggeredRepeat from compilation
	kolian - improved reporting of shader errors
	kolian - shader linewidth has default value now (1.0f)
	kolian - removed unused variables in scene.c

0A76b - 200407XX - pc version
	kolian - added imagePart section

0A76 - 200407XX - pc version
	merlucin - multiple splines in objectShader
	kolian - use of display lists is now optional with "display_lists"
	kolian - camera roll can be saved and set by camera section
	kolian - rework of paintex section

0A75 - 200407XX - pc version
	kolian - light spheres are rendered on debug mode only
	kolian - kernel rtt texture is not clamped now
	kolian - new particleObject section
	kolian - parametrization of viewport element
	kolian - implementing triggeredRepeat...

0A74 - 200407XX - mac and pc version
	merlucin - RenderMesh mode seven changed to an image distortion
	merlucin - Some RenderMesh modes now take into account the bpm setting of the demo

0A73 - 200406XX - pc version
	kolian - readded lib3ds support
	kolian - updated fmod to 3.7.2 win32
	kolian - updated parse of key/values
	kolian - changes in blending factors
	kolian - object shaders support (multicapa)
	kolian - added gamma correction demo setting
	kolian - added debug kernel messages
	kolian - fixed 3ds texture coordinates
	kolian - support for transparent faces in objects
	kolian - improved 3ds render performance
	kolian - support to GL_SGIS_generate_mipmap extension
	kolian - reworked upload texture code
	kolian - removed "gl_extensions" script variable
	kolian - removed unused OpenGL headers
	kolian - reworked OpenGL extensions code
	kolian - all sections are preloaded now
	kolian - fixed a minor bug in repeat
	kolian - remaped some keys and improved camera control
	kolian - removed origin drawing in axis drawing (strange lateral effect in debug mode)
	kolian - added 'bpm' script parameter
	kolian - improved 'scene' section rendering
	kolian - section end is called before init and exec now
	kolian - sections are not executed in endtime now
	kolian - remaped some keys (F1 to F5, space, c)
	kolian - optimized 3ds rendering with display lists (object, objectMatrix, objectShader)
	kolian - kernel clears texture binding before execute each section now
	kolian - added viewport section
	kolian - optimized objectMatrix when environment mapping
	kolian - added support for camera changes in scene section (pickcam)
	kolian - caching of 3ds scenes
	kolian - added persistency value to textures (only used in particleTex)
	kolian - caching of textures
	kolian - loading section frees memory now
	kolian - removed scripting examples (they are quite old)
	kolian - implementing triggeredRepeat...

	Space Invaders (fully compatible)
	benchmark: 28300 -> 33700
	memory: 85Mb -> 68Mb (obj caching) -> 49Mb (tex caching) -> 47Mb (loading memory leaks)
	load time: 20s -> 16s

0A72 - 20040405 - mac and pc version
	merlucin - updated the particleTex section with blending support
	merlucin - pressing T writes the current time in the console (mac) or the out file (windows)
	merlucin - now the particleMatrix section has a new parameter to override depth buffer calculations
	merlucin - added particle size support to the particleMatrix section
	merlucin - fixed the video exporter routine that picked up the entire rtt instead of the current viewport
	merlucin - removed some hardcoded and unused sections from other demos

0A71 - 20040311 - pc version
	kolian - chdir is win32 only
	kolian - added efxSwirl effect
	kolian - radial blur has variable blending mode
	kolian - changed effects error messages
	kolian - added alpha support in particle matrix
	kolian - radial blur clear the depth buffer now
	kolian - optimized render mesh a bit
	kolian - fixed some bugs related to flat-shaded 3ds rendering
	kolian - added light section
	kolian - optimized textured 3ds rendering

0A70 - 20040305 - pc version
	kolian - fix a bug with render textured 3ds (textures not uploaded)
	kolian - added multisampling selection capability
	kolian - minor changes in gldriver.c, changed 16:9 and 4:3 modes
	kolian - added aspect ratio selection capability
	kolian - no RTT, directly full screen
	kolian - updated deform effect
	kolian - updated rendermesh effect
	kolian - rendermesh doesn't do accumulation now
	kolian - new motionblur effect, using accumulation buffer
	kolian - updated radialblur effect
	kolian - minor changes in rtt sections code
	kolian - added lib3ds as 3ds loading library
	kolian - loading section parametrized to the max
	kolian - updated blackwhite effect
	kolian - optimized includes
	kolian - improved exit() status reporting
	kolian - added blend/alpha parameters in repeat
	kolian - engine loads resources from the EXE dir OR argv[1] if any
	kolian - ripped off lib3ds support (in development)
	kolian - fixed directory problem launching from Editor
	kolian - demo always loops if loop = 1 now
	kolian - added accumulation effect
	kolian - accumulation buffer on/off by script

0A69 - 20040214 - pc version, last Die Anderung compatible version
	kolian - demo ends when it reaches end time, and end time > 0
	kolian - improved kernel error and warning messages
	kolian - improved mapping between elements and control keys
	kolian - added demo playing states (keys F1 to F4)
	kolian - added demo restart procedure (key F5)
	kolian - removed ugly include SDL.h in main.c
	kolian - added config dialog
	kolian - added draw camera setting (key C)
	kolian - in debug mode the demo doesn't end now
	kolian - contro keys only accepted if debug mode
	kolian - improved sound control changing demo states
	kolian - fixed bug with image/imageMatrix sections and texture detail
	kolian - hardcode changes in section runtime calculations
	kolian - changed code generation - processor in VC project

0A68 - 20031231 - pc/mac version (final version)
	merlucin - optimized two big textures
	kolian - changed OpenGL error check after each frame by warning
	kolian - minor optimization in particleMatrix section

0A67 - 20031229 - mac version
	merlucin - anillo section has been updated and ended
	merlucin - added a final ending section with the spontz title
	merlucin - optimized some texture sizes
	merlucin - some garbage has been removed from the data folder
	merlucin - project has been migrated to Xcode and SDL 1.2.6 on Mac

0A66 - 20031223 - pc version
	kolian - added support to texture detail setting
	kolian - texture manager controls texture memory size now
	kolian - share some RTT buffers between sections
	kolian - changes in several sections to support shared rtt (86 -> 76 Mb of textures)

    Fixed bugs
	00021 - The efxRepeat effect does not work the second time the loop is executed (by kolian)

0A65 - 20031222 - mac version
	merlucin - reworked several sections

0A64 - 20031216 - mac version
	merlucin - reworked several sections
	xphere   - added support for NURBS
	merlucin - added script support for NURBS routines
	merlucin - updated and segmented the entire script
	merlucin - added some new small sections and sync

    Known bugs
	00021 - The efxRepeat effect does not work the second time the loop is executed

0A63 - 20031211 - pc version
	kolian - fix endian bug with textures
	kolian - removed some endian defines loading a 3DS file
	kolian - added some error checks in texture management
	kolian - added kernel OpenGL error flags check after render a frame
	kolian - fix an init bug (GL_ALPHA doesn't exists as capability)
	kolian - fix a macroBox bug with push/pop matrixes

0A62 - 20031210 - pc version
	kolian - changed gen3Dimage to genImage
	kolian - changed all gen3Dimage sections in script
	kolian - simplify genBackground section code and script
	kolian - minor changes in gen3Dmatrix
	kolian - blend support in genImageMatrix (code + script)
	kolian - reworked texture format finder code
	kolian - updated fmod to 3.7.1 win32
	kolian - improved zzip hack, win32 compatible
	kolian - changes in VC project build
	kolian - removed some old sections from VC project
	kolian - comment drawVectorField from renderMesh
	kolian - fix some compiler warnings
	kolian - blend support in efxRenderMesh (code + script)
	kolian - kernel support for variable naming in script (fColor, cSpline, sTexture)
	kolian - generic -> sections, renaming of all generic sections
	kolian - clean up sections code
	kolian - alpha func support in background, image, imageMatrix sections
	kolian - blend and alpha support in macroBox (code + script)
	kolian - reworked object section
	kolian - loop fix in repeat effect and sound section

0A61 - 20031204 - mac version
    merlucin - redesign of some sections
    merlucin - hack in zzip to compile in MacOS X

0A60 - 20031110 - pc version
	kolian - new multiscript code (it should be portable) - fix 00018
	kolian - added new alpha reference value: alpha mode ref1 ref2
	kolian - fixed bug 00016

    Known bugs
	00019 - Demo hangs in MacOS X if sound ends before the demo ending
	00020 - The RadialBlur effect does not support looping

0A59 - 20031109 - mac version
	merlucin - fixed bug 00017
	merlucin - corrected bug in script for alien section (every section should be drawn in a different layer)
	merlucin - corrected the entire script for new blending and alpha support
	merlucin - demoengine has beeen patched to allow it to work under mac without multiscripting
	merlucin - corrected a bug in the color mode for drawing 3ds files that prevented the color to be selected
	merlucin - updated moco section
	merlucin - updated pinza section
	merlucin - updated firespiral section

	To do:
		- update all the sections to support new blending and alpha code
		- recover the code to allow the demo to run a main.spo file and a script specified in the arguments
		- update the script to reflect the changes in the sections
		- make alpha test variable with an additional parameter

    Known bugs
	00016 - Bad first frame painted in the loader
	00018 - Multiscript code uses non-standard functions for directory reading (No MacOS compatibility)
	00019 - Demo hangs in MacOS X if sound ends before the demo ending
	00020 - The RadialBlur effect does not support looping

0A58 - 20031106 - pc version
	kolian - fixed bug loading spline files without ending blank line
	kolian - fixed bug closing music stream
	kolian - support for multiple script files (*.spo)
	kolian - minor changes in script loader code, EOF is not needed now
	kolian - no demo arguments are taken now
	kolian - kernel support to section blending mode
	kolian - updated sections code: gen3Dimage, genBackground, genDraw3DS, gen3Dmatrix
	kolian - updated script according to previous changes in code
	kolian - compacted script, some syntax comments are removed; comments should be included in examples only
	kolian - kernel support to section alpha function

    New bugs
	00016 - Bad first frame painted in the loader
	00017 - Blending does not seem to work
	00018 - Multiscript code uses non-standard functions for directory reading (No MacOS compatibility)
	00019 - Demo hangs in MacOS X if sound ends before the demo ending

0A57 - 20031101 - mac version
	merlucin - demo name updated to die Änderung
	merlucin, trace, ximac, kolian - party coding and design
	Party version

0A56 - 20031026 - mac version
	pinza 	 - new music
	merlucin - adjusted some sections to the new music
	merlucin - added full blending support (144 modes) to gen3Dimage section
	merlucin - demo name updated to Roswell
	trace    - new demo start plus some graphics and fine-tuning
	merlucin - improved genDraw3DS to support gradual rendering of the object
	merlucin - added support for alpha channel linear variation in gen3DImage and genBackground
	kolian   - added support for textures with random dimensions
	trace    - his first scene! (first try)
	merlucin - new scene (cilinder)
	merlucin - new gen3Dmatrix section to draw a matrix of 3ds files

0A55 - 20031025 - mac version
	merlucin - corrected the inversion problem with the genBackground section
	merlucin - added rose section
	merlucin - added ParticleMatrix generic section
	merlucin - corrected a bug in the Ray section that prevented the usage of the demoengine's looping feature
	merlucin - corrected a bug in the gen3Dimage section that prevented the use of alpha gradients
	merlucin - the alien section has been improved with new environments and particles
	merlucin - the secondpart.jpg archive has been updated with a more recent version

0A54 - 20030928 - mac version
	merlucin - updated demoname and mac project to Not just a demo
	merlucin - created pinza section
	merlucin - modified genDraw3DS to accept relative movement between objects (via multiple spline files)
	merlucin - created rose section with some graphics too
	merlucin - created gen3DRay section for fast Ray creation
	merlucin - created genBackground to put an image in the entire screen easily
	merlucin - created alien section
	merlucin - added some syncs and second part and notjustademo (ending) sections

0A53 - 20030925 - pc version
    kolian - added a few functions to 3dsdraw.c in order to support cell shading
    kolian - updated texture.c in order to support cell shading
    kolian - prevent spline calculation to perform an illegal access
    kolian - restored old tga saver (illegal access, but it works)
    kolian - added some parameters to cell shading

0A52 - 20030921 - mac version
    merlucin - updated fmod in macintosh project
    merlucin - music started and attached to the project
    merlucin - all three 3D functions have been joint in a single one (genDraw3DS)
    merlucin - efxSound changed to genSound
    merlucin - camera reworked for full parametrization
    merlucin - project cleaned for Never Say Goodbye
	kolian - corrected a bug with the sound section that prevented a correct sound start when the demo start time was not zero
	kolian - fixed a bug with the repeater effect
	kolian - fixed the tga RLE saved file
	merlucin - added one additional deform mode to rendermesh efx
	merlucin - added support for saturation and normal blending mode in rendermesh efx
	merlucin - added full parameters support to the gen3Dimage section

0A51 - 20030912 - pc version
    kolian - added efxRepeat effect
    kolian - added efxSound effect
    kolian - reworked sound subsystem
    kolian - removed bass, sdl_mixer and oggdecoder support
    kolian - updated fmod to 3.7.0
    kolian - added support to vector parameters in script
    kolian - improved load float function
    kolian - kernel now gets the command line arguments
    kolian - script path is taken from the first parameter if any
    kolian - fixed mySection bug before calling end
    kolian - added efxBlackWhite effect
    kolian - added efxInvert effect
    kolian - added benchmark output feature
    kolian - cleaned up some code

0A50 - 20030904 - pc version
    kolian - fixed pathway bug
    kolian - modified application icon in win32 (transparency)
    kolian - changes in particletitle section
    kolian - some minor changes

0A49 - 20030902 - pc version
    kolian - fixed bug with 3ds normals
    kolian - fixed minor bug when exiting while loading
    kolian - fixed minor bug about window caption
    kolian - added application icon in win32
    kolian - added .dat as default zip file
    kolian - minor changes in fader and radialblur

0A48 - 20030827 - mac version
    merlucin - meditation section reworked
    merlucin - forced efxRenderMesh to clean the Depth Buffer everytime the effect is used
    merlucin - small changes in the tunnel section
    merlucin - new flash at the end of the tube
    merlucin - fixed issues with znear in some sections
    kolian - optimized rect3d_render
    kolian - optimized genParticletex, much faster now
    kolian - minor changes in the lake (loop compatible)

    Fixed bugs
    00015 - If the user changes the camera there is a frame with garbage just when the camera is switched

0A47 - 20030827 - pc version
    kolian - fixed explosion bug
    kolian - cleaned included section in order to link with used code only (-13kb exe)
    kolian - improved random generator
    merlucin - improved some scenes
    merlucin - clean useless textures and datas
    kolian - fixed demo loop kernel minor issues
    kolian - new texture function: tex_clean
    kolian - new camera functions: cam_zplanes, camera_set2d, camera_restore
    kolian - minor changes in render to mesh (loop compatible)
    kolian - minor changes in path way (loop compatible), useless opengl state changes

0A46 - 20030814 - pc version
    kolian - SDL is now included in exe
    kolian - removed PAK support
    kolian - changes in fmod directory
    kolian - updated SDL and SDL_image to latest versions
    kolian - clean up SDL, SDL_image and jpeg libraries
    kolian - changed rand() to myRand()
    kolian - added zlib + zzip, demo loads all data from a zip
    kolian - several changes in SDL to incorpore zzip
    kolian - kernel camera is reset before each render now
    kolian - all fprintfs write to stdout now
    kolian - fixed a bug regarding section runtime calculation
    kolian - fixed several possible bugs in generic sections
    kolian - retimed particle credits script
    merlucin - corrected a bug that caused tga export to generate incorrect files (only 1/3 of the file had rgb to bgr switching)

0A45 - 20030811 - pc version
    kolian - improved memory usage in genParticletex section (230 to 80Mb of demo memory)
    kolian - merged code branches
    kolian - gen3DS minor changes
    kolian - added clean.bat
    kolian - better loading errors control (controled in kernel functions instead of sections)
    kolian - SDL_image is now included in exe

0A44 bis - 20030807 - pc version
    kolian - compressed tga support
    kolian - writes uncompressed tga's much faster
    kolian - compress tga variable in script
    kolian - added our own rand() function
    kolian - loop demo feature added
    kolian - renamed several engine script variables
    kolian - added and implemented sound_reset driver procedure
    kolian - updated thelake.c section
    kolian - minor changes in SDL includes
    kolian - renamed 'general' to 'generic'
    kolian - added 'interface' directory (kernel <-> sections)
    kolian - fixed bug about sections includes (50% minor EXE now)
    kolian - textures are now freed after upload to video mem
    kolian - kernel reports section memory usage (a la cutre, win32 + debug)

0A44 - mac version
    merlucin - added the tube section
    merlucin - changed the spontz logo to a blue one
    merlucin - added radial blur to the final logo
    merlucin - the rotating rings section has been reworked with new graphics
    merlucin - added two blue syncs to the beginning of the demo
    merlucin - still and video rendering works fine over mac and pc (testing)
    merlucin - completely redesigned pulp section
    merlucin - added deform type number 7
    merlucin - now the macrobox sets the matrix to GL_PROJECTION before ending the render
    merlucin - the deform type number 6 has been slightly modified with a time offset
    merlucin - updated the transition from the title to the particles
    merlucin - the pathway section has been completely regenerated
    merlucin - reworked camera and general appearance of meditation section

    Known bugs
    00015 - If the user changes the camera there is a frame with garbage just when the camera is switched

0A43 - pc version
    kolian - removed 'syncs' from script
    kolian - improved section script parser
    kolian - section has an array of pointers to splines now
    kolian - dynamic spline channels, removed '{' and '}' characters from splines
    kolian - debug text changed, fps only must show fps
    kolian - readded pak code in fmod driver
    kolian - comments are allowed in spline files
    kolian - optimizations in render particles code
    kolian - added screenshot code (key 'S'), uncompressed TGA
    kolian - added capture video code
    kolian - added stencil and loop kernel unused variables

0A42 and minor - pc version
    merlucin - Euskal trip, party coding, section design, sync, ...

0A39 - 20030725 - mac version
    merlucin - camera detached from generic sections
    merlucin - greetings section started
    merlucin - more scripting control and parametrized sections
    merlucin - the particles section has a lot more of control

0A38 - 20030716 - pc version
    merlucin - more work to the pathway section
    merlucin - more work to the rendertomesh effect
    merlucin - added generic code for scriptable title displaying
    merlucin - corrected the bad bar loader bug
    merlucin - assured reproductibility for the mac sleep bug
    merlucin - the lake section has started
    merlucin - music changed to ogg

0A37 - 20030716 - pc version
    kolian - fixed bug with gldriver char variables
    kolian - deleted metaballs section (empty)
    kolian - fixed bug loading script (regarding text file length)
    kolian - changed load to preload, load is now section instance dependent
    kolian - minor changes in loading section (swap, delays and others)
    kolian - loading now uses dynamic load of textures, it must receive 2 strings
    kolian - fixed mega bug loading strings from script
    kolian - section parameters (floats) are unlimited now
    kolian - renamed syncs to syncNum
    kolian - each section has its own local variables (accessed through mySection)
    kolian - refactored loading section as section example
    kolian - added script validation to fader effect
    kolian - fixed bug in rtt initialization
    kolian - added panoramic (16/9) command
    kolian - try to code render to mesh, filter u/v coordinates can be done now

0A36 - 20030713 - pc version
    merlucin - 3DBuilder section started
    merlucin - pathway section started

0A35 - 20030712 - pc version
    merlucin - implemented a routine to load wireframe models (controlled via script)
    merlucin - diffuse section has been corrected to support motion blur
    merlucin - now we have six different new diffuse modes
    merlucin - sphere section was improved with diffusion
    merlucin - updated mp3 file
    merlucin - fixed a bug with the particles texture modulation color
    merlucin - the loading section has been completely reworked
    merlucin - started 3D builder section
    merlucin - particletitle section reworked for the demo introduction
    merlucin - Added the demo title to the particletitle section

0A34 - 20030706 - pc version
    merlucin - Loader completed
    merlucin - meditation section started

0A33 - 20030629 - pc version
    merlucin - The Life Way demo started
    merlucin - gears effect started
    merlucin - title writer started
    merlucin - sphere effect started

0A32 - 20030613 - pc version
    merlucin - script tunning for reborn (last three scenes)
    kolian - updated fmod to 3.6.3, it probably works with MacOSX
    kolian - readded bass support (Windows only)
    kolian - better support for multiple sound drivers
    kolian - sound_end executed ending the demo
    kolian - fixed crashes with kernel errors (kernel error exits demo)
    kolian - message box with kernel error string is displayed in Windows
    kolian - loading screen and debug font textures have not mipmaps
    kolian - added support for splines
    kolian - added support for render quake 1 bsp's, multiplatform?
    kolian - fps calculation is more accurate
    kolian - readded sdl_mixer support (multiplatform), improved driver
    kolian - kernel support for script splines
    kolian - section runtime bug fixed

0A31 - 20030603 - pc version
    kolian - improved speed of model normals calculation
    kolian - delete packedData variable from 3ds loading functions

0A30 - 20030529 - pc version
    kolian - improved debug modes (keys F and T) debug only by script
    kolian - fixed diffusion bug introduced in previous version
    kolian - slighty improved glcopyteximage with glcopytexsubimage in diffusion
    kolian - fixed bug in texture format used in diffusion
    kolian - release notes renamed to changes
    kolian - removed fmod macintosh library

0A29 - 20030527 - pc version
    kolian - improved debug messages in screen (keys F and D)
    kolian - demo end time support added to kernel
    kolian - standarized initRender and endRender procedures
    kolian - improved gldriver init
    kolian - support for extensions (multitexture, pbuffer, render_texture, ...)
    kolian - support for bits per pixel, zbuffer bits, extensions variables in script
    kolian - improved gl info getStrings
    kolian - added pbuffer support
    kolian - minor changes in text.c
    kolian - new texture procedure tex_reset_bind() to reset last texture
    kolian - delete packedData variable from various loading functions
    kolian - added timing.c separate from kernel
    kolian - improved .h includes
    kolian - slighty improved glcopyteximage with glcopytexsubimage
    kolian - all sections include only demo.h now
    kolian - updated SDL_image to 1.2.3
    kolian - updated fmod to 3.6.2

    Fixed bugs
    00013 - slight delay for the synchro in the mac version (bug in loader order)
    00014 - ati rage support (bug in texture format used in radial blur)

0A28 - 20030521 - pc version (unknown changes)

0A27 - 20030517 - pc version
	Final version
	merlucin - added 16:9 aspect ratio
	merlucin - improved various scenes
	merlucin - color and alpha adjustements
	merlucin - dkernel major changes (not all the demo works under RTT)
	merlucin - adapted diffusion, fade and blur to work with new dkernel
	merlucin - now 512x256 RTT mode supported

	Known bugs
	00013 - slight delay for the synchro in the mac version

0A26 - 20030510 - pc version
	Alpha version

	Fixed bugs
	00012 - Now the diffuse effect works with Macintosh too

	Known bugs
	00013 - slight delay for the synchro in the mac version

0A25 - 20030508 - pc version
	drumu - added loading screen
	xphere - correced the loader bar
	kolian - added title partial rendering support
	merlucin - improved the previous kolian routine

	Known bugs
	00012 - efxDiffuse effect does not work with macintosh (blank screen)
	00013 - slight delay for the synchro in the mac version

0A24 - 20030507 - pc version
	kolian - added environment mapping (two step rendering)
	merlucin - added guitar section
	merlucin - more syncs
	merlucin - ampliated the flash section
	merlucin - more skyboxes from XiMac

0A23 - 20030506 - pc version
	merlucin - added more stuff and synchro to the knots section
	merlucin - now variable "t" is static in all sections (problem detected for mac)

	Found bugs
	00012 - efxDiffuse effect does not work with macintosh (blank screen)
	00013 - slight delay for the synchro in the mac version

0A22 - 20030505 - pc version
	merlucin - mp3 file changed ot ogg

	Fixed bugs
	00011 - Now efxDiffuse and RadialBlur are friends

0A21 - 20030505 - pc version
	merlucin - mp3 updated with the final version
	merlucin - started knots section
	merlucin - started flash section

	Found bugs
	00011 - efxDiffuse leave sthe screen in black after finishing if the next effect is radial blur

0A20 - 20030504 - pc version
	merlucin - displace effect is now operative (needs to be retouched yet)

0A19 - 20030502 - pc version
	merlucin - added basic support for the metaballs module
	merlucin - added support for displace effect

0A18 - 20030414 - pc version
	   ximac - added new graphics for the logos section, including spontz logo, background and particles

0A17 - 20030410 - pc and mac version
	merlucin - the fader effect has been completed
	merlucin - added center functionality for the radial blur effect
	merlucin - adjusted the radial blur effect for logos (01) section
	merlucin - added flare effect to the logos (01) section

	Found bugs
	00010 - in Mac version the initial particles position (logos section) is not very random. They are all located at the bottom right part of the screen

	Fixed bugs
	00009 - Now multiline text is correctly written

0A16 - 20030407 - pc version
	    marc - changed to a new blueflare
	merlucin - randomized the particles position
	merlucin - the coding of the efxFader effect has began

	Found bugs
	00009 - text writting is not correct with multiline texts (extra space at the beginning of each line)

0A15 - 20030406 - pc version
	merlucin - text and debug sections corrected to work both in mac and pc
	merlucin - added movement to the background in the logos section
	merlucin - added support for transparent textures to the logos function

0A14 - 20030323 - pc version
	merlucin - now text section works fine
	merlucin - logos section (01) now switches to QUADs from particles when radial blur is applied to accelerate
	merlucin - particles' texture color is not modulated now
	merlucin - blur effect parameters have been adjusted for logos section
	merlucin - added fps support to the demo (via F key)
	merlucin - added '\n' (return) character handling to the text function (multiline)
	    marc - added the background for the logos section

0A13 - 20030322 - pc version
	merlucin - added the intro music and zonan logos
	merlucin - adjusted manually the blur effect for the logos (01) section
	merlucin - interactive_mov function only works in debug mode now
	merlucin - Now loading fade is only done if we are not in debug mode
	merlucin - Now axis are only drawn when we are not in debug mode
	merlucin - Now parameters are accessible for a section when loading
	merlucin - Logos section (01) reworked to support three logos (spontz, breeze and zonan)
	xphere   - Added text support (not still functional) to the engine

	Fixed bugs
	00008 - demo crash after a rtt section ends

0A12 - 20030319 - pc version
	kolian   - Now parameters are accessible for a section when loading
	merlucin - The render to texture effect is now operative, but the mesh is static

	Found bugs
	00008 - demo crash after a rtt section ends

0A11 - 20030316 - pc version
	merlucin - Improved the scripting control of the blur effect to allow blur subsections inside a blur section.

	No fix intended
	00007 - Due to design changes in this version, there is an easy workaround for this bug

0A10 - 20030313 - pc version
	merlucin & kolian - Bug fixings
	merlucin & kolian - Improved the speed of the Radial Blur effect removing unnecessary glClears and state changes

	Found bugs
	00007 - two continous rtt effects (end=5 and start=5) causes unexpected results

	Fixed bugs (merl & kol)
	00005 - After a RTT effect ends, the 256x256 viewport can be seen for a very little time
	00006 - Repeating a section in the script later in the demo, does not initialize section time

0A09 - 20030312 - pc version
	merlucin - Radial blur is now compatible with texture.c
	merlucin - Improved slighty the radial blur speed
	merlucin - improved script support, with blur gradients

	Found bugs
	00005 - After a RTT effect ends, the 256x256 viewport can be seen for a very little time
	00006 - Repeating a section in the script later in the demo, does not initialize section time

	Fixed bugs
	00004 - Ending part of a section is never executed
	00003 - RTT does not work with macintosh version

0A08 - 20030312 - mac version
	merlucin - Now solving bug 00003

	Known bugs
	00004 - Ending part of a section is never executed
	00003 - RTT does not work with macintosh version

0A07 - 20030311 - mac version
	merlucin - Now keyboard works with macintosh too
	merlucin - macintosh version project updated

	Found bugs
	00003 - RTT does not work with macintosh version

0A06 - 20030309 - pc version
	merlucin - Now RTT routine is completely parametrizable using the script
	merlucin - the script was ampliated with "param" parameter

	Fixed bugs
	00002 - RTT does won't modify the original colors any more

0A05 - 20030309 - pc version
	merlucin - Vastly improved the speed of the RTT routine

	Known bugs
	00002 - RTT causes the drawing to turn into dark blue

0A04 - 20030308 - pc version
	merlucin - Improved the speed of the RTT routine
	merlucin - Both (uppercase and lowercase) extension types are now supported

	Fixed bugs
	00001 - RTT now works with 3ds files too

0A03 - 20030308 - pc version
	merlucin - Script commands were ampliated with gl_rttHeight and gl_rttWidth to control rtt viewport size
	merlucin - Added complete support for built-in effects such as radial Blur (controlled by script)
	merlucin - The script.txt file was moved ot the Data folder too

	Known bugs
	00001 - RTT does not seem to work with 3ds files

0A02 - 20030307 - pc version
	merlucin & Xphere - Added keyboard support
	merlucin & Xphere - Added basic render to texture support

0A01 - 20030304 - pc version
	merlucin - project started using SDL
	merlucin - Added mouse support to the SDL engine (only movement)
